# Record Class LGlobalCaption

java.lang.Object
java.lang.Record
com.io7m.laurel.model.LGlobalCaption

Record Components:
  `caption` - The caption
  `order` - The order

All Implemented Interfaces:
  `Comparable<LGlobalCaption>`

public record LGlobalCaption(LCaption caption, long order) extends Record implements Comparable<LGlobalCaption>
A global caption.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LGlobalCaption(LCaption caption, long order)`
  A global caption.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LCaption`
  `caption()`
  Returns the value of the `caption` record component.
  `int`
  `compareTo(LGlobalCaption other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `order()`
  Returns the value of the `order` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LGlobalCaption

    public LGlobalCaption(LCaption caption, long order)
    A global caption.
    Parameters:
      `caption` - The caption
      `order` - The order

- ## Method Details

  - ### compareTo

    public int compareTo(LGlobalCaption other)
    Specified by:
      `compareTo` in interface `Comparable<LGlobalCaption>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### caption

    public LCaption caption()
    Returns the value of the `caption` record component.
    Returns:
      the value of the `caption` record component

  - ### order

    public long order()
    Returns the value of the `order` record component.
    Returns:
      the value of the `order` record component